Skip to main content
GET
/
v2
/
session
/
{session_uuid}
Get session status
curl --request GET \
  --url https://sandbox.gateway.sezzle.com/v2/session/{session_uuid} \
  --header 'Authorization: <api-key>'
{
  "uuid": "fadbc642-05a4-4e38-9e74-80e325623af9",
  "links": [
    {
      "href": "https://gateway.sezzle.com/v2/session/fadbc642-05a4-4e38-9e74-80e325623af9",
      "method": "GET",
      "rel": "self"
    }
  ],
  "order": {
    "uuid": "12a34bc5-6de7-890f-g123-4hi1238jk902",
    "intent": "CAPTURE",
    "checkout_url": "https://checkout.sezzle.com/?id=12a34bc5-6de7-890f-g123-4hi1238jk902",
    "links": [
      {
        "href": "https://gateway.sezzle.com/v2/order/12a34bc5-6de7-890f-g123-4hi1238jk902",
        "method": "GET",
        "rel": "self"
      },
      {
        "href": "https://gateway.sezzle.com/v2/order/12a34bc5-6de7-890f-g123-4hi1238jk902",
        "method": "PATCH",
        "rel": "self"
      },
      {
        "href": "https://gateway.sezzle.com/v2/order/12a34bc5-6de7-890f-g123-4hi1238jk902/release",
        "method": "POST",
        "rel": "release"
      },
      {
        "href": "https://gateway.sezzle.com/v2/order/12a34bc5-6de7-890f-g123-4hi1238jk902/capture",
        "method": "POST",
        "rel": "capture"
      },
      {
        "href": "https://gateway.sezzle.com/v2/order/12a34bc5-6de7-890f-g123-4hi1238jk902/refund",
        "method": "POST",
        "rel": "refund"
      }
    ],
    "tokenize": {
      "token": "7ec98824-67cc-469c-86ab-f9e047f9cf1a",
      "expiration": "2020-04-27T14:46:59.000Z",
      "approval_url": "https://dashboard.sezzle.com/customer/checkout-approval?merchant-request-id=3f3244fd-78ce-4994-af0c-b8c760d47794",
      "links": [
        {
          "href": "https://gateway.sezzle.com/v2/token/7ec98824-67cc-469c-86ab-f9e047f9cf1a/session",
          "method": "GET",
          "rel": "token"
        }
      ]
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.sezzle.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The authentication token generated from providing API Keys to Sezzle Gateway

Path Parameters

session_uuid
string
required

The Session UUID to receive (from Create Session response)

Response

Successful Operation

Note: This example response is a multi-purpose session (create order and tokenize)

uuid
string

The unique identifier for this response

Available API links prefilled with UUID with accompanying method

order
object
tokenize
object